%global momorel 3
%global unstable 1
%if 0%{unstable}
%global prever 1
%global betatag beta1
%global release_dir unstable
%else
%global release_dir stable
%endif
%global kdever 4.4.92
%global kdelibsrel 1m
%global kdepimlibsrel 1m
%global qtver 4.6.3
%global qtrel 1m
%global cmakever 2.6.4
%global cmakerel 1m
%global ftpdirver kdepim
%global sourcedir %{release_dir}/%{ftpdirver}
%global akonadiver 1.3.90
%global sopranover 2.4.63

Name: kdepim-runtime
Summary: KDE PIM Runtime Environment
Version: 4.5
Release: %{?prever:0.%{prever}.}%{momorel}m%{?dist}
License: GPLv2
Group: Applications/Productivity
URL: http://www.kde.org/
Source0: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}%{?unstable:-%{betatag}}.tar.bz2
NoSource: 0
# show the Akonadi KCM in System Settings (#565420)
Patch0: %{name}-%{version}-desktop.patch
# upstream patches
Patch100: %{name}-%{version}-%{betatag}-accountwizard_dt.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: %{name}-libs = %{version}-%{release}
BuildRequires: akonadi-devel >= %{akonadiver}
BuildRequires: desktop-file-utils
BuildRequires: kdepimlibs-devel >= %{kdever}-%{kdepimlibsrel}
BuildRequires: zlib-devel
BuildRequires: soprano-devel >= %{sopranover}
BuildRequires: libxslt-devel
BuildRequires: libxml2-devel

%description
%{summary}

%package libs
Summary: %{name} runtime libraries
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description libs
%{summary}.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}
Requires: kdepimlibs-akonadi >= %{kdever}
Requires: kdelibs-devel

%description devel
%{summary}.
Install %{name}-devel if you want to write or compile %{name} plugins.

%prep
%setup -q -n %{name}-%{version}%{?unstable:-%{betatag}}

%patch0 -p1 -b .desktop-fix
%patch100 -p1 -b .accountwizard_dt

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%check
for f in %{buildroot}%{_kde4_datadir}/applications/kde4/*.desktop ; do
   desktop-file-validate $f
done

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:
update-mime-database %{_kde4_datadir}/mime >& /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
  update-mime-database %{_kde4_datadir}/mime &> /dev/null ||:
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  update-desktop-database -q &> /dev/null ||:
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_kde4_bindir}/*
%{_kde4_libdir}/kde4/*.so
%{_kde4_appsdir}/akonadi
%{_kde4_appsdir}/akonadi_knut_resource
%{_kde4_datadir}/akonadi/agents/*.desktop
%{_kde4_datadir}/applications/kde4/*
%{_kde4_datadir}/autostart/kaddressbookmigrator.desktop
%{_kde4_datadir}/config/*rc
%{_kde4_datadir}/dbus-1/interfaces/*.xml
%{_kde4_datadir}/kde4/services/akonadi.protocol
%{_kde4_datadir}/kde4/services/*.desktop
%{_kde4_datadir}/kde4/services/kresources/kabc/*
%{_kde4_datadir}/kde4/services/kresources/kcal/*
%{_kde4_datadir}/mime/packages/*
%{_kde4_iconsdir}/hicolor/*/*/*

%files devel
%defattr(-,root,root,-)
#{_kde4_includedir}/akonadi/*
%{_kde4_libdir}/lib*.so

%files libs
%defattr(-,root,root,-)
%{_kde4_libdir}/lib*.so.*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (4.5-0.1.3m)
- full rebuild for mo7 release

* Mon Aug 16 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.5-0.1.2m)
- adapt kcm_akonadi.desktop and kcm_akonadi_resources.desktop to KDE 4.5 specification

* Sun Jul 25 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.5-0.1.1m)
- update to 4.5-beta1

* Wed Jun 30 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.5-1m)
- update to KDE 4.4.5

* Mon Jun 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.4-2m)
- rebuild against qt-4.6.3-1m

* Thu Jun  3 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.4-1m)
- update to KDE 4.4.4

* Thu May  6 2010 NARITA Koichi <pulsar@momonga-linuxorg>
- (4.4.3-1m)
- update to KDE 4.4.3

* Thu Apr  1 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.2-1m)
- update to KDE 4.4.2

* Fri Mar  5 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.1-1m)
- update to KDE 4.4.1

* Thu Feb 11 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.4.0-1m)
- update to KDE 4.4.0

* Fri Feb  6 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.98-1m)
- update to KDE 4.4 RC3 (4.3.98)

* Mon Jan 25 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.95-1m)
- update to KDE 4.4 RC2 (4.3.95)

* Sat Jan  9 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.90-1m)
- update to KDE 4.4 RC1 (4.3.90)

* Tue Dec 22 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.85-1m)
- update to KDE 4.4 beta2 (4.3.85)

* Sat Dec 19 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.82-1m)
- update to 4.3.82

* Thu Dec 10 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.80-1m)
- update to KDE 4.4 beta1 (4.3.80)

* Thu Dec  3 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.4-1m)
- update to KDE 4.3.4

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.3.3-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Nov  4 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.3-1m)
- [SECURITY] http://www.ocert.org/advisories/ocert-2009-015.html
- update to KDE 4.3.3

* Fri Oct 23 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.3.2-2m)
- add kcm_akonadi-desktop.patch for Momonga Linux 6plus

* Wed Oct  7 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.2-1m)
- update to KDE 4.3.2

* Fri Sep  3 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.1-1m)
- update to KDE 4.3.1

* Thu Aug  6 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.0-1m)
- update to KDE 4.3.0 official release

* Fri Jul 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.98-1m)
- update to KDE 4.3 RC3 (4.2.98)

* Sat Jul 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.96-1m)
- update to KDE 4.3 RC2 (4.2.96)
- update desktop patch

* Sat Jul  4 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.95-2m)
- modify %%files to avoid conflicting with kdepim

* Thu Jul  2 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.95-1m)
- initial build for Momonga Linux
